Package de.willuhn.jameica.hbci.passports.pintan

# Class PtSecMech

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.PtSecMech

public class PtSecMech extends Object
Parser fuer die TAN-Verfahren.

## Constructor Summary

Constructors
Constructor
Description
`PtSecMech()`

## Method Summary

Modifier and Type
Method
Description
`static PtSecMech`
`contains(String text, String id)`
Prueft, ob die ID des angegebenen TAN-Verfahrens in der Liste enthalten ist.
`static PtSecMech`
`create(String text)`
Erzeugt ein PTSechMech-Objekt aus dem Text.
`static PtSecMech`
`createFailsafe(String text)`
Erzeugt ein PTSechMech-Objekt aus dem Text.
`boolean`
`equals(Object obj)`
`String`
`getId()`
Liefert die ID des TAN-Verfahrens.
`String`
`getLongname()`
Liefert den Namen des TAN-Verfahrens mit der ID.
`String`
`getName()`
Liefert den Namen des TAN-Verfahrens.
`boolean`
`isFlickerCode()`
Liefert true, wenn es sich um ein Flicker-Code Verfahren handelt.
`static final List<PtSecMech>`
`parse(String text)`
Parst die Liste der TAN-Verfahren aus dem String.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PtSecMech

public PtSecMech()

## Method Details

### parse

public static final List<PtSecMech> parse(String text) throws de.willuhn.util.ApplicationException
Parst die Liste der TAN-Verfahren aus dem String.

Parameters:
  `text` - String mit den TAN-Verfahren.
Returns:
  die geparste Liste.
Throws:
  `de.willuhn.util.ApplicationException`

### contains

public static PtSecMech contains(String text, String id)
Prueft, ob die ID des angegebenen TAN-Verfahrens in der Liste enthalten ist.

Parameters:
  `text` - der Text mit den TAN-Verfahren.
  `id` - die ID des gesuchten TAN-Verfahrens.
Returns:
  das gefundene TAN-Verfahren oder NULL, wenn es nicht enthalten ist.

### create

public static PtSecMech create(String text)
Erzeugt ein PTSechMech-Objekt aus dem Text. Der Text ist fuer gewoehnlich so zusammengesetzt: "`<id>:<name>`".

Parameters:
  `text` - der zu parsende Text.
Returns:
  das PTSechMech-Objekt oder NULL, wenn es kein interpretierbares TAN-Verfahren war.

### createFailsafe

public static PtSecMech createFailsafe(String text)
Erzeugt ein PTSechMech-Objekt aus dem Text. Hier wird auch toleriert, wenn nur die Nummer angegeben ist.

Parameters:
  `text` - der Text mit dem TAN-Verfahren.
Returns:
  das PTSechMech-Objekt oder NULL, wenn kein Text angegeben wurde.

### getId

public String getId()
Liefert die ID des TAN-Verfahrens.

Returns:
  id die ID des TAN-Verfahrens.

### getName

public String getName()
Liefert den Namen des TAN-Verfahrens.

Returns:
  name Name des TAN-Verfahrens.

### getLongname

public String getLongname()
Liefert den Namen des TAN-Verfahrens mit der ID.

Returns:
  der Name des TAN-Verfahrens mit der ID.

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### isFlickerCode

public boolean isFlickerCode()
Liefert true, wenn es sich um ein Flicker-Code Verfahren handelt.

Returns:
  true, wenn es sich um ein Flicker-Code Verfahren handelt.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`